Bug 71934 - Calc freezes if all cells are marked as selected and one right-clicks on it
Summary: Calc freezes if all cells are marked as selected and one right-clicks on it
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.3.0 target:4.2.0.0.beta2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-11-23 07:33 UTC by thackert
Modified: 2013-11-27 23:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thackert 2013-11-23 07:33:34 UTC
Hello @ll,
I hope, I have chosen the right component, severity and the like. If not, feel free to change it adequate ... ;)

I found the following freeze on Calc (confirmed from Pedro at the QA-ML) ... :(
Do the following:
1. Start Calc
2. Press <Ctrl>+<A>
3. Rightclick somewhere in the marked area

Calc immediately freezes. It neither reacts to a click on the close button, <Alt>+<F4> or anything else ... :(

Expected behaviour:
Calc should open the context menu to offer access to it.

OS: Debian Testing AMD64
LO: Version: 4.2.0.0.alpha1 Build ID: c2b9ad37f8a8de9c7dbdd76c86aecf6388107056 (parallel installed with Germanophone lang- as well as helppack)

This bug does not appear in my installed LO Version: 4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a on the same system, so I added regression to the subject (or would it be better to add it as a keyword?).
Sorry for the inconvenience
Thomas.
Comment 1 Pedro 2013-11-23 07:55:57 UTC
Bug confirmed under Windows XP Pro x86 SP3 en_US.

It is a regression from the 4.1 branch.

Marked as regression in the Keywords ;)
Comment 2 Commit Notification 2013-11-24 20:25:48 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=288be67406110dc5e0f957d79fcf775076ee513c

checking every cell on a sheet is expensive, related fdo#71934



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-11-27 23:32:04 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c5ea08b67b3446fcf7005e741920764d74366a5

iterating through all cells is not a good idea, fdo#71934



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-11-27 23:33:39 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=12aa3151ab993fff1ae312ae7b1d5bbcfc379b07&h=libreoffice-4-2

checking every cell on a sheet is expensive, related fdo#71934


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-11-27 23:33:56 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=839eccc8ae5aa5dde055f84471246f2a3ef04929&h=libreoffice-4-2

iterating through all cells is not a good idea, fdo#71934


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.